summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorKristian Fiskerstrand <kf@sumptuouscapital.com>2018-04-02 15:32:16 +0200
committerKristian Fiskerstrand <kf@sumptuouscapital.com>2018-04-02 15:32:16 +0200
commitcb257af1e0731223a86cbf3f54affef0c0cfbb94 (patch)
tree836554e16487fb1f9f26f4e8b64a3aa15a5d1c6f
downloadfinancials-rfp-cb257af1e0731223a86cbf3f54affef0c0cfbb94.tar.gz
financials-rfp-cb257af1e0731223a86cbf3f54affef0c0cfbb94.tar.bz2
financials-rfp-cb257af1e0731223a86cbf3f54affef0c0cfbb94.zip
init
-rwxr-xr-xCreateDocument.sh35
-rw-r--r--main.tex74
2 files changed, 109 insertions, 0 deletions
diff --git a/CreateDocument.sh b/CreateDocument.sh
new file mode 100755
index 0000000..2f4ee32
--- /dev/null
+++ b/CreateDocument.sh
@@ -0,0 +1,35 @@
+#!/bin/bash
+CONFIG_BIBTEX=false
+CONFIG_MAINFILE="main"
+CONFIG_CLEANUP=true
+CONFIG_CREATEDIFF=false
+CONFIG_CREATE_GITVERSION=true
+
+if [[ ${CONFIG_CREATE_GITVERSION} = "true" ]]; then
+ git describe --tags | sed -e 's/_/ /g' > docversion.tmp || die
+fi
+
+# Need to loop this to get proper references. If using bibtex this needs to
+# be part of the processing as well
+for i in $(seq 1 3); do
+ if [[ ${CONFIG_BIBTEX} = "true" && ${i} == "3" ]]; then
+ bibtex ${CONFIG_MAINFILE}
+ fi;
+ pdflatex ${CONFIG_MAINFILE}
+done;
+
+if [[ ${CONFIG_CREATEDIFF} = "true" ]]; then
+ latexdiff ${CONFIG_MAINFILE}.tex.old ${CONFIG_MAINFILE}.tex > diff.tex
+ pdflatex diff.tex
+ pdflatex diff.tex
+fi
+
+# Clean up
+if [[ ${CONFIG_CLEANUP} = "true" ]]; then
+ for x in bbl aux blg log out dvi toc; do
+ rm -rf ${CONFIG_MAINFILE}.${x}
+ done;
+ if [[ ${CONFIG_CREATE_GITVERSION} = "true" ]]; then
+ rm -f docversion.tmp
+ fi
+fi;
diff --git a/main.tex b/main.tex
new file mode 100644
index 0000000..1c00a5c
--- /dev/null
+++ b/main.tex
@@ -0,0 +1,74 @@
+\documentclass[a4paper,twocolumn]{article}
+
+\usepackage[utf8]{inputenc}
+\usepackage{xcolor}
+\usepackage[colorlinks,linkcolor=black,citecolor=blue]{hyperref}
+\usepackage[a4paper,margin=2cm]{geometry}
+\usepackage{fancyhdr}
+\usepackage{etoolbox}
+\usepackage{multicol}
+\usepackage{amsmath}
+
+\newtoggle{finalversion}
+\togglefalse{finalversion}
+
+\hyphenpenalty=100000
+
+\iftoggle{finalversion}{}{%
+\fancypagestyle{plain}{%
+ \renewcommand{\headrulewidth}{0pt}%
+ \fancyfoot[R]{\tiny\input{docversion.tmp}}%
+}}
+
+\iftoggle{finalversion}{%
+\newcommand{\ins}{}
+\newcommand{\cont}{}
+\newcommand{\xcom}[1]{}
+\newcommand{\cit}{}
+}{%
+\newcommand{\ins}{{\color{red}[??]}}
+\newcommand{\cont}{{\color{red} \dots}}
+\newcommand{\xcom}[1]{{\color{gray} [#1]}}
+\newcommand{\cit}{{\color{blue}\textsuperscript{[citation needed]}}}
+}
+
+
+\newcommand{\marcom}[1]{%
+ \marginpar{\fcolorbox{red}{white}{\parbox{13mm}{\color{red} \tiny #1}}}
+}
+
+\newcommand{\sref}[1]{Section~\ref{#1} (\nameref{#1})}
+\newcommand{\figref}[1]{\figurename~\ref{#1}}
+\newcommand{\tabref}[1]{\tablename~\ref{#1}}
+
+\hyphenation{Gentoo}
+
+\begin{document}
+\title{Request for proposal: Accounting and advisory services for IRS compliance}
+\author{Gentoo Linux}
+\date{\today}
+\maketitle
+
+
+\tableofcontents
+
+\section{About Gentoo Linux}
+\xcom{Gentoo Linux is a distribution... not for profit organization status wishing to become a charity. Necessary company information and current consitution of the Trustees}
+
+\section{Background for RFP}
+\label{sec:background}
+\xcom{Gentoo has issues... not delivered IRS papers, etc etc. Cleanup process done by robbat to get in state for filing}
+
+\section{Definitions}
+\label{sec:definitions}
+\begin{description}
+ \item[abc] def
+\end{description}
+
+\section{What we seek from an accountant}
+\label{sec:seek}
+
+\begin{thebibliography}{9}
+\bibitem{a} \url{gentoo.org}
+\end{thebibliography}
+\end{document}